%define pkgname xorgproto

Name: xorg-x11-proto-devel
Version: 2019.1
Release: 3
Summary: The X.org protocol header set
License: X11
URL: http://www.x.org

Source0: https://www.x.org/archive/individual/proto/%{pkgname}-%{version}.tar.gz

# need xmlto and fop for docs
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: pkg-config
BuildRequires: libxslt

Conflicts: xorgproto
Obsoletes: xorgproto

%description
This package provides a set of X.org protocol header files.

%prep
%setup -q -n %{pkgname}-%{version}

%build
autoreconf -fiv

%configure \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    #end

%make_build

%check
make check

%install
%make_install

%files
%defattr(-, qsys, *none)
%license COPYING*
%doc AUTHORS README.md
%{_includedir}/*

%{_datadir}/pkgconfig/*.pc
# Should be split into own doc package
%{_datadir}/doc/*

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 2019.1
- Obsolete and Conflict old package name provided by qsecofr repo

* Wed Oct 28 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2019.1
- Update license to X11

* Wed Jul 29 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2019.1
- Initial spec
